Debian Bug report logs - #714076
ITP: core-network -- intuitive network emulator that interacts with real nets

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Date: Tue, 25 Jun 2013 12:51:01 UTC

Owned by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Severity: wishlist

Fixed in version core-network/4.6~rc5-1

Done: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 25 Jun 2013 12:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: core -- intuitive network emulator that interacts with real nets
Date: Tue, 25 Jun 2013 09:48:23 -0300
Package: wnpp
Severity: wishlist
Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

* Package name    : core
  Version         : 4.6
  Upstream Author : Boeing Company, by Jeffrey M. Ahrenholz <jeffrey.m.ahrenholz@boeing.com>
* URL             : http://cs.itd.nrl.navy.mil/work/core
* License         : Simplified BSD
  Programming Lang: C, C++, Python, Tcl/Tk
  Description     : intuitive network emulator that interacts with real nets

 The Common Open Research Emulator (CORE) is a tool for emulating
 networks on one or more machines. You can connect these emulated
 networks to live networks.
 .
 CORE consists of a GUI for drawing topologies of lightweight virtual
 machines, and Python modules for scripting network emulation.
 .
 Key features:
 .
   1. Network lab in a box
        - Efficient and scalable
        - Easy-to-use GUI canvas
        - Centralized configuration and control
   2. Runs applications and protocols without modifying them
   3. Real-time connection to live networks
        - Hardware-in-the-loop
        - Distributed with multiple COREs
   4. Highly customizable



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 13:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Tue, 25 Jun 2013 13:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 714076@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Cc: 714076@bugs.debian.org, "Ahrenholz, Jeffrey M" <jeffrey.m.ahrenholz@boeing.com>
Subject: Re: Bug#714076: ITP: core -- intuitive network emulator that interacts with real nets
Date: Tue, 25 Jun 2013 10:19:31 -0300
[Message part 1 (text/plain, inline)]
Hi! Thanks for your suggestion.

Is generic but not has a "core" (Common Open Research Emulator) in Debian.
Then we can use it.

Recently I renamed a generic name and it was poorly received by mentors and
DDs. The original name was "rename".

What is your opinion Jeffrey?

Regards,

Eriberto



2013/6/25 Konstantin Khomoutov <flatworm@users.sourceforge.net>

> On Tue, 25 Jun 2013 09:48:23 -0300
> Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> wrote:
>
> > Package: wnpp
> > Severity: wishlist
> > Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
> >
> > * Package name    : core
> [...]
> >  The Common Open Research Emulator (CORE) is a tool for emulating
> >  networks on one or more machines. You can connect these emulated
> >  networks to live networks.
>
> The name is too generic, IMO.  "core-emulator" would be way better.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 13:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Tue, 25 Jun 2013 13:21:10 GMT) Full text and rfc822 format available.

Message #15 received at 714076@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, 714076@bugs.debian.org
Subject: Re: Bug#714076: ITP: core -- intuitive network emulator that interacts with real nets
Date: Tue, 25 Jun 2013 17:06:23 +0400
On Tue, 25 Jun 2013 09:48:23 -0300
Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
> 
> * Package name    : core
[...]
>  The Common Open Research Emulator (CORE) is a tool for emulating
>  networks on one or more machines. You can connect these emulated
>  networks to live networks.

The name is too generic, IMO.  "core-emulator" would be way better.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 14:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ahrenholz, Jeffrey M" <jeffrey.m.ahrenholz@boeing.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Tue, 25 Jun 2013 14:06:15 GMT) Full text and rfc822 format available.

Message #20 received at 714076@bugs.debian.org (full text, mbox):

From: "Ahrenholz, Jeffrey M" <jeffrey.m.ahrenholz@boeing.com>
To: Eriberto <eriberto@eriberto.pro.br>, Konstantin Khomoutov <flatworm@users.sourceforge.net>
Cc: "714076@bugs.debian.org" <714076@bugs.debian.org>
Subject: RE: Bug#714076: ITP: core -- intuitive network emulator that interacts with real nets
Date: Tue, 25 Jun 2013 13:56:10 +0000
> What is your opinion Jeffrey?

Agreed, "core-emulator" is more descriptive. Another option is "coreemu" to match the Google code site (https://code.google.com/p/coreemu/), but core-emulator is probably better (with packages core-emulator-gui and core-emulator-daemon.)

-Jeff
 
> 2013/6/25 Konstantin Khomoutov <flatworm@users.sourceforge.net>
> 
> 
> 	On Tue, 25 Jun 2013 09:48:23 -0300
> 	Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> wrote:
> 
> 	> Package: wnpp
> 	> Severity: wishlist
> 	> Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
> 	>
> 	> * Package name    : core
> 	[...]
> 	>  The Common Open Research Emulator (CORE) is a tool for emulating
> 	>  networks on one or more machines. You can connect these emulated
> 	>  networks to live networks.
> 
> 	The name is too generic, IMO.  "core-emulator" would be way better.
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 14:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Tue, 25 Jun 2013 14:27:10 GMT) Full text and rfc822 format available.

Message #25 received at 714076@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: "Ahrenholz, Jeffrey M" <jeffrey.m.ahrenholz@boeing.com>
Cc: Konstantin Khomoutov <flatworm@users.sourceforge.net>, "714076@bugs.debian.org" <714076@bugs.debian.org>
Subject: Re: Bug#714076: ITP: core -- intuitive network emulator that interacts with real nets
Date: Tue, 25 Jun 2013 11:24:04 -0300
[Message part 1 (text/plain, inline)]
Ok. We will change the package name.

Thanks Konstantin! Jeffrey is the upstream and co-maintainer.

Jeffrey, we can change the package name but it isn't recommended for
binaries (/usr/bin and /usr/sbin). I think if you want a new name to
binaries, you must change the source code.

Regards,

Eriberto


2013/6/25 Ahrenholz, Jeffrey M <jeffrey.m.ahrenholz@boeing.com>

> Agreed, "core-emulator" is more descriptive. Another option is "coreemu"
> to match the Google code site (https://code.google.com/p/coreemu/), but
> core-emulator is probably better (with packages core-emulator-gui and
> core-emulator-daemon.)
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#714076; Package wnpp. (Tue, 25 Jun 2013 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Tue, 25 Jun 2013 23:21:04 GMT) Full text and rfc822 format available.

Message #30 received at 714076@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, 714076@bugs.debian.org
Subject: Re: Bug#714076: ITP: core -- intuitive network emulator that interacts with real nets
Date: Wed, 26 Jun 2013 00:18:46 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2013-06-25 at 09:48 -0300, Joao Eriberto Mota Filho wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
> 
> * Package name    : core
>   Version         : 4.6
>   Upstream Author : Boeing Company, by Jeffrey M. Ahrenholz <jeffrey.m.ahrenholz@boeing.com>
> * URL             : http://cs.itd.nrl.navy.mil/work/core
> * License         : Simplified BSD
>   Programming Lang: C, C++, Python, Tcl/Tk
>   Description     : intuitive network emulator that interacts with real nets
> 
>  The Common Open Research Emulator (CORE) is a tool for emulating
>  networks on one or more machines. You can connect these emulated
>  networks to live networks.
[...]

This is rather a generic name; could you perhaps use something like
core-network-emulator?

Ben.

-- 
Ben Hutchings
Knowledge is power.  France is bacon.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: core-network -- intuitive network emulator that interacts with real nets' from 'ITP: core -- intuitive network emulator that interacts with real nets' Request was from Eriberto <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Sat, 31 Aug 2013 12:57:04 GMT) Full text and rfc822 format available.

Reply sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
You have taken responsibility. (Sun, 08 Sep 2013 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug acknowledged by developer. (Sun, 08 Sep 2013 16:03:05 GMT) Full text and rfc822 format available.

Message #37 received at 714076-close@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: 714076-close@bugs.debian.org
Subject: Bug#714076: fixed in core-network 4.6~rc5-1
Date: Sun, 08 Sep 2013 16:00:06 +0000
Source: core-network
Source-Version: 4.6~rc5-1

We believe that the bug you reported is fixed in the latest version of
core-network, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> (supplier of updated core-network package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Aug 2013 17:30:27 -0300
Source: core-network
Binary: core-network core-network-daemon core-network-gui
Architecture: source amd64
Version: 4.6~rc5-1
Distribution: unstable
Urgency: low
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Changed-By: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Description: 
 core-network - intuitive network emulator that interacts with real nets (metapac
 core-network-daemon - intuitive network emulator that interacts with real nets (daemon)
 core-network-gui - intuitive network emulator that interacts with real nets (GUI)
Closes: 714076
Changes: 
 core-network (4.6~rc5-1) unstable; urgency=low
 .
   * Initial release (Closes: #714076)
Checksums-Sha1: 
 f94256d1e775f02cc9ef050a7339428af6b5dbfc 1602 core-network_4.6~rc5-1.dsc
 4f7dfe94b7441686f01121490ccb5716cc8520e7 1551858 core-network_4.6~rc5.orig.tar.gz
 ea4801373cf1625486b8b688cb0e4483920a32cc 3921 core-network_4.6~rc5-1.debian.tar.gz
 2760b99f092825fd4006b61e6d62d034fed50e13 7782 core-network_4.6~rc5-1_amd64.deb
 2bd8d7c2b2e68c532f2e1a7b61655bc1963cb991 199274 core-network-daemon_4.6~rc5-1_amd64.deb
 00508095eee81a034e9aa917b807a65f67720f31 820934 core-network-gui_4.6~rc5-1_amd64.deb
Checksums-Sha256: 
 cc8ffbb3950238cec5ba8e9180bf91e4276066593bcbd1cf6d8eec65509f00fe 1602 core-network_4.6~rc5-1.dsc
 ba212e1066433068d3c38a22a2f939bc2dbbc5d8b620ecc5678096f08d321535 1551858 core-network_4.6~rc5.orig.tar.gz
 5337653019259c62ca8c1ea2807c812fde26755fafeefee9f7fb74cdf2aa9a5d 3921 core-network_4.6~rc5-1.debian.tar.gz
 7071a58bdf0b7b118ecf8a1e5a706f870c840b580c15a83656350abc3e28ec3b 7782 core-network_4.6~rc5-1_amd64.deb
 f6246d8ee212134e7aa0d053fef7504a912b8201eb750a326b4ff6b55cbe0503 199274 core-network-daemon_4.6~rc5-1_amd64.deb
 302668489b48b0aee249875229c51fe5eb650b710ffe153fed3a7ccd20e6fc11 820934 core-network-gui_4.6~rc5-1_amd64.deb
Files: 
 f7910beb8a28672689349ccba3c3a961 1602 net optional core-network_4.6~rc5-1.dsc
 9cf81c5e57fc74fbea4509bedea2e5cb 1551858 net optional core-network_4.6~rc5.orig.tar.gz
 eed3ebcb1d2ed059c34c2b19b3063a0d 3921 net optional core-network_4.6~rc5-1.debian.tar.gz
 31d516014f668ae886fcafcbe836b138 7782 net optional core-network_4.6~rc5-1_amd64.deb
 4c55cef42b243f02e563223de3dd0324 199274 net optional core-network-daemon_4.6~rc5-1_amd64.deb
 c685ecb7da36d5b6897d2e27fdf677d0 820934 net optional core-network-gui_4.6~rc5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIscV8ACgkQDOM8kQ+cso92GgCfaWrh7piBpVZ86buciTMijYqd
z5cAnA462kvTn25Gc8j//Fbf4lDfJ46B
=JaHm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Oct 2013 07:34:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:54:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.